MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/output_state.h File Reference

`#include <stdbool.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
bool | audio_output_state_read (const char *line)
void | audio_output_state_save (FILE *fp)
unsigned | audio_output_state_get_version (void)
| Generates a version number for the current state of the audio outputs.

## Function Documentation

unsigned audio_output_state_get_version | ( | void |  | ) |

Generates a version number for the current state of the audio outputs.

This is used by timer_save_state_file() to determine whether the state has changed and the state file should be saved.

bool audio_output_state_read | ( | const char * | line | ) |

void audio_output_state_save | ( | FILE * | fp | ) |